Index: /issm/trunk-jpl/externalpackages/autotools/install-debian-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/autotools/install-debian-linux.sh	(revision 25705)
+++ /issm/trunk-jpl/externalpackages/autotools/install-debian-linux.sh	(revision 25706)
@@ -33,6 +33,11 @@
 
 ./configure --prefix="${ISSM_DIR}/externalpackages/autotools/install"
-make
-make install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
 cd ..
 
@@ -45,6 +50,11 @@
 cd src
 ./configure --prefix="${ISSM_DIR}/externalpackages/autotools/install"
-make
-make install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
 cd ..
 
@@ -57,6 +67,11 @@
 cd src
 ./configure --prefix="${ISSM_DIR}/externalpackages/autotools/install"
-make
-make install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
 cd ..
 
@@ -70,5 +85,10 @@
 cd src
 ./configure --prefix="${ISSM_DIR}/externalpackages/autotools/install"
-make
-make install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
 cd ..
Index: /issm/trunk-jpl/externalpackages/boost/configs/1.73/boost/math/tools/user.hpp
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/configs/1.73/boost/math/tools/user.hpp	(revision 25706)
+++ /issm/trunk-jpl/externalpackages/boost/configs/1.73/boost/math/tools/user.hpp	(revision 25706)
@@ -0,0 +1,105 @@
+// Copyright John Maddock 2007.
+// Copyright Paul A. Bristow 2007.
+
+// Use, modification and distribution are subject to the
+// Boost Software License, Version 1.0.
+// (See accompanying file LICENSE_1_0.txt
+// or copy at http://www.boost.org/LICENSE_1_0.txt)
+
+#ifndef BOOST_MATH_TOOLS_USER_HPP
+#define BOOST_MATH_TOOLS_USER_HPP
+
+#ifdef _MSC_VER
+#pragma once
+#endif
+
+// This file can be modified by the user to change the default policies.
+// See "Changing the Policy Defaults" in documentation.
+
+// define this if the platform has no long double functions,
+// or if the long double versions have only double precision:
+//
+#define BOOST_MATH_NO_LONG_DOUBLE_MATH_FUNCTIONS
+//
+// Performance tuning options:
+//
+// #define BOOST_MATH_POLY_METHOD 3
+// #define BOOST_MATH_RATIONAL_METHOD 3
+//
+// The maximum order of polynomial that will be evaluated
+// via an unrolled specialisation:
+//
+// #define BOOST_MATH_MAX_POLY_ORDER 17
+//
+// decide whether to store constants as integers or reals:
+//
+// #define BOOST_MATH_INT_TABLE_TYPE(RT, IT) IT
+
+//
+// Default policies follow:
+//
+// Domain errors:
+//
+// #define BOOST_MATH_DOMAIN_ERROR_POLICY throw_on_error
+//
+// Pole errors:
+//
+// #define BOOST_MATH_POLE_ERROR_POLICY throw_on_error
+//
+// Overflow Errors:
+//
+// #define BOOST_MATH_OVERFLOW_ERROR_POLICY throw_on_error
+//
+// Internal Evaluation Errors:
+//
+// #define BOOST_MATH_EVALUATION_ERROR_POLICY throw_on_error
+//
+// Underflow:
+//
+// #define BOOST_MATH_UNDERFLOW_ERROR_POLICY ignore_error
+//
+// Denorms:
+//
+// #define BOOST_MATH_DENORM_ERROR_POLICY ignore_error
+//
+// Max digits to use for internal calculations:
+//
+// #define BOOST_MATH_DIGITS10_POLICY 0
+//
+// Promote floats to doubles internally?
+//
+// #define BOOST_MATH_PROMOTE_FLOAT_POLICY true
+//
+// Promote doubles to long double internally:
+//
+#define BOOST_MATH_PROMOTE_DOUBLE_POLICY false
+//
+// What do discrete quantiles return?
+//
+// #define BOOST_MATH_DISCRETE_QUANTILE_POLICY integer_round_outwards
+//
+// If a function is mathematically undefined
+// (for example the Cauchy distribution has no mean),
+// then do we stop the code from compiling?
+//
+// #define BOOST_MATH_ASSERT_UNDEFINED_POLICY true
+//
+// Maximum series iterations permitted:
+//
+// #define BOOST_MATH_MAX_SERIES_ITERATION_POLICY 1000000
+//
+// Maximum root finding steps permitted:
+//
+// define BOOST_MATH_MAX_ROOT_ITERATION_POLICY 200
+//
+// Enable use of __float128 in numeric constants:
+//
+// #define BOOST_MATH_USE_FLOAT128
+//
+// Disable use of __float128 in numeric_constants even if the compiler looks to support it:
+//
+// #define BOOST_MATH_DISABLE_FLOAT128
+
+#endif // BOOST_MATH_TOOLS_USER_HPP
+
+
Index: /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-valgrind.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-valgrind.sh	(revision 25706)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-valgrind.sh	(revision 25706)
@@ -0,0 +1,40 @@
+#!/bin/bash
+#set -eu # Do not `run set -eu` because it causes some targets to fail
+
+
+## Constants
+#
+VER="1_73_0"
+
+## Envrionment
+#
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf boost_${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source into 'src' directory
+mv boost_${VER}/* src/
+rm -rf boost_${VER}
+
+# Copy customized source and config files to 'src' directory
+cp ./configs/1.73/boost/math/tools/user.hpp ./src/boost/math/tools/
+
+# Configure
+cd src
+./bootstrap.sh \
+	--prefix="${BOOST_ROOT}/install" \
+	--with-python=python2.7
+
+# Modify project config to enable MPI
+printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
+
+# Compile and install
+./b2 install link=shared runtime-link=shared
Index: /issm/trunk-jpl/externalpackages/valgrind/install-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/valgrind/install-linux.sh	(revision 25706)
+++ /issm/trunk-jpl/externalpackages/valgrind/install-linux.sh	(revision 25706)
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -eu
+
+
+# Clean up
+rm -rf install
+
+# Download development version
+git clone git://sourceware.org/git/valgrind.git install
+
+# Configure
+cd install
+./autogen.sh
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/valgrind/install" \
+	--enable-only64bit
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make install -j $1
+fi
Index: sm/trunk-jpl/externalpackages/valgrind/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/valgrind/install-linux64.sh	(revision 25705)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#!/bin/bash
-set -eu
-
-#Some cleanup
-rm -rf install 
-
-#Download development version
-git clone git://sourceware.org/git/valgrind.git install
-
-#configure
-cd install
-./autogen.sh
-./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only64bit
-
-#Compile valgrind
-if [ $# -eq 0 ]; then
-	make
-else
-	make -j $1
-fi
-make install 
Index: /issm/trunk-jpl/externalpackages/valgrind/install-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/valgrind/install-mac.sh	(revision 25706)
+++ /issm/trunk-jpl/externalpackages/valgrind/install-mac.sh	(revision 25706)
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -eu
+
+
+# Clean up
+rm -rf install
+
+# Download development version (the current release never supports the latest 
+# OS X releases)
+git clone git://sourceware.org/git/valgrind.git install
+
+# Configure
+cd install
+./autogen.sh
+./configure \
+	--prefix="$ISSM_DIR/externalpackages/valgrind/install" \
+	--enable-only64bit
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make install -j $1
+fi
+
Index: sm/trunk-jpl/externalpackages/valgrind/install-macosx64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/valgrind/install-macosx64.sh	(revision 25705)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#!/bin/bash
-set -eu
-
-#Some cleanup
-rm -rf install
-
-#Download development version, the current release never supports the latest OS X releases
-git clone git://sourceware.org/git/valgrind.git install
-
-#configure
-cd install
-./autogen.sh
-./configure  --prefix="$ISSM_DIR/externalpackages/valgrind/install" --enable-only64bit
-
-#Compile valgrind
-if [ $# -eq 0 ]; then
-	make
-else
-	make -j $1
-fi
-make install 
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-solid_earth
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-solid_earth	(revision 25705)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-solid_earth	(revision 25706)
@@ -86,5 +86,7 @@
 #
 # NOTE:
-# - Tests 2002, 2003, 2005, 2010, 2101, and 2021 are excluded as Gmsh produces different-sized meshes on macOS and Linux for 3d objects (archives are generated on macOS).
+# - Tests 2002, 2003, 2005, 2010, 2101, and 2021 are excluded as Gmsh produces 
+# different-sized meshes on macOS and Linux for 3d objects (archives are 
+# generated on macOS).
 # - Excluding 2006 until it can be debugged (PETSc crash)
 #
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-valgrind
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-valgrind	(revision 25706)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-valgrind	(revision 25706)
@@ -0,0 +1,85 @@
+# NOTE: This configuration can be used to debug, with Valgrind, builds that 
+#		require Boost.
+
+#--------------------#
+# ISSM Configuration #
+#--------------------#
+
+MATLAB_PATH="/usr/local/MATLAB/R2019b"
+
+ISSM_CONFIG='\
+	--prefix=${ISSM_DIR} \
+	--disable-static \
+	--enable-development \
+	--enable-debugging \
+	--with-numthreads=4 \
+	--with-matlab-dir=${MATLAB_PATH} \
+	--with-python-dir=/usr \
+	--with-python-numpy-dir=/usr/local/lib/python2.7/dist-packages/numpy \
+	--with-fortran-lib="-L/usr/lib/x86_64-linux-gnu -lgfortran" \
+	--with-mpi-include=${ISSM_DIR}/externalpackages/petsc/install/include \
+	--with-mpi-libflags="-L${ISSM_DIR}/externalpackages/petsc/install/lib -lmpi -lmpicxx -lmpifort" \
+	--with-blas-lapack-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-metis-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-scalapack-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-mumps-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-hdf5-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-petsc-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-gsl-dir=${ISSM_DIR}/externalpackages/gsl/install \
+	--with-boost-dir=${ISSM_DIR}/externalpackages/boost/install \
+	--with-dakota-dir=${ISSM_DIR}/externalpackages/dakota/install \
+	--with-triangle-dir=${ISSM_DIR}/externalpackages/triangle/install \
+	--with-chaco-dir=${ISSM_DIR}/externalpackages/chaco/install \
+	--with-m1qn3-dir=${ISSM_DIR}/externalpackages/m1qn3/install \
+	--with-semic-dir=${ISSM_DIR}/externalpackages/semic/install \
+'
+
+#-------------------#
+# External Packages #
+#-------------------#
+
+EXTERNALPACKAGES="
+	autotools	install-debian-linux.sh
+	cmake		install.sh
+	petsc		install-3.14-linux.sh
+	gsl			install.sh
+	boost		install-1.7-linux-valgrind.sh
+	dakota		install-6.2-linux.sh
+	curl		install-7.67.sh
+	netcdf		install-4.7-parallel.sh
+	proj		install-6.2.sh
+	gdal		install-3-python-netcdf.sh
+	gshhg		install.sh
+	gmt			install-6.0-linux.sh
+	gmsh		install-4.sh
+	triangle	install-linux.sh
+	chaco		install.sh
+	m1qn3		install.sh
+	semic		install.sh
+	valgrind	install-linux.sh
+	shell2junit	install.sh
+"
+
+#---------#
+# Testing #
+#---------#
+
+# Test suites
+MATLAB_TEST=0
+PYTHON_TEST=0
+JAVASCRIPT_TEST=0
+EXAMPLES_TEST=0
+
+# Number of CPUs used in ISSM compilation
+#
+# NOTE: One is usually safer as some packages are very sensitive to parallel
+# 		compilation.
+#
+NUMCPUS_INSTALL=8
+
+# Number of CPUs used in the nightly runs
+NUMCPUS_RUN=1
+
+# Nightly run options
+MATLAB_NROPTIONS=""
+PYTHON_NROPTIONS=""
